Zum Inhalt springen

MediaWiki:Modern.css: Unterschied zwischen den Versionen

aus Helmstedt-Wiki, der freien Enzyklopädie über den Landkreis Helmstedt
AZ: Die Seite wurde neu angelegt: **** needed or missing up to now, should be fixed in svn ****: /* Für Modern-Skin-Benutzer irrelevan…
 
KKeine Bearbeitungszusammenfassung
 
(Eine dazwischenliegende Version desselben Benutzers wird nicht angezeigt)
Zeile 1: Zeile 1:
/***** needed or missing up to now, should be fixed in svn *****/
/* +++++ Lokale Anpassungen +++++ */


/* Für Modern-Skin-Benutzer irrelevante Informationen in MediaWiki:Preferences-summary ausblenden */
/* Seitliche Hauptnavigation schmaler */
div.oldskinonly{
#mw_portlets {
      display: none
width: 12em;
}
}
 
#mw_content {
.diffchange {
margin-left: 12em;
    font-weight:bold;
    background-color:inherit;
}
p.error {
    font-weight:bold;
}
 
 
/***** Lokale Anpassungen *****/
 
/* Hauptnavigation */
#mw_portlets {
    width:12em;
}
#mw_content {  
    margin-left:12em;  
}
}


/* Kleinschreibung in Navigationsbereichen verhindern */
/*
.portlet h5,  
* Kleinschreibung in Navigationsbereichen verhindern: [[phab:T21295]]
.portlet h6,
* Der Selektor „#p-personal li“ ist auskommentiert, weil nicht klar ist, ob er
#p-personal ul,  
* 2008 nur vergessen oder absichtlich ausgelassen wurde.
#p-cactions li a,  
* Der Selektor „#preftoc li“ ist derzeit (März 2016) wirkungslos, weil das CSS
#preftoc a {
* auf [[Spezial:Einstellungen]] nicht geladen wird.
    text-transform: none;
*/
/* #p-personal li, */
#p-cactions li,
#preftoc li {
text-transform: none;
}
}


/* pre-formatierte Abschnitte */
/* Angleichung an Vector und Monobook, vgl. mediawiki.skinning/elements.css */
pre {
pre,
    padding: 1em;
.mw-code {
    border:1px dashed #3c78b5;
background-color: #f8f9fa;
    color:black;
border: 1px solid #eaecf0;
    background-color:#f9f9f9;
color: black;
    line-height:1.1em;
line-height: normal; /* Vector: 1.3em; Monobook: 1.1em (März 2016) */
padding: 1em;
white-space: pre-wrap;
}
}


/* Einzelnachweise */
/* Einzelnachweise */
ol.references {  
ol.references {
    font-size:90%;
font-size: 90%;
}
 
/* Tabellenüberschriften (mit |+) größer und fett */
caption {
    font-size:105%;
    font-weight:bold;
}
}


/* Bearbeiten-Links vor Überschriften */
/* Linkfarben für den Kopfbereich: [[phab:T94860]], Einleitungshelferlein */
.editsection {  
#mw_header a {
    float:none;
color: #ccf;
    margin:0em 0.3em 0em 0em;  
}
}
 
#mw_header a:visited {
/* diverse Anzeigen oben rechts */
color: #aaf;
#editcount,
#issnlink,
#shortcut {
    display:block;
    position:absolute;
    z-index:1;
    border:none;
    background:none;
    right:12px;
    top:6em;
    margin:0.0em;
    padding:0.0em;
    line-height:1.5em;
    text-align:right;
    text-indent:0;
    font-size:90%;
    text-transform:none;
    white-space:normal;
}
}


#artikelstadium, div.topicon {
/*
    display:block;
* Container für <indicator>-Tags nicht oben klebend und rechtsbündig mit
    position:absolute;
* Infoboxen etc.
    z-index:1;
*/
    border:none;
.mw-indicators {
    background:none;
margin: 4px 13px 0 0;
    right:12px;
    top:0.3em;
    margin:0.0em;
    padding:0.0em;
    line-height:1.5em;
    text-align:right;
    text-indent:0;
    font-size:90%;
    text-transform:none;
    white-space:normal;  
}
}


#coordinates {
/* Angleichung an Vector und Monobook, vgl. mediawiki.skinning/elements.css */
    display:block;
.mw-indicators img {
    position:absolute;
vertical-align: middle;
    z-index:1;
    border:none;
    background:#ffffff;
    right:12px;
    top:0.5em;
    margin:0.0em;
    margin-right:18px;
    padding:0.1em;
    line-height:11px;
    text-align:right;
    text-indent:0;
    font-size:10px;
    text-transform:none;
    white-space:nowrap;  
}
}


/* diff-Rendering von fr.wikipedia */
/* +++++ Anpassungen für absolut positionierte Objekte: [[phab:T40848]] +++++ */
table.diff {
    padding:0.5em;
}
table.diff td {
    vertical-align:top;
}
td.diff-addedline {
    background-color:#d8e4f6;
}
td.diff-addedline .diffchange {
    background-color:#b0c0f0;
    color:#001040;
    font-weight:bold;
}
td.diff-deletedline {
    background-color:#e4f6d8;
}
td.diff-deletedline .diffchange {
    background-color:#b0e897;
    color:#104000;
    font-weight:bold;
}


/* Gesichtete Versionen */
/*
.flaggedrevs-unreviewed {  
* Koordinaten und diverse andere Anzeigen oben rechts, siehe
    background-color:#ffffd0;  
* [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
* Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
* deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
* Schriftgröße.
* Es ist bekannt, dass diese Elemente bei geringer Fensterbreite Teile der
* Bedienoberfläche verdecken.
*/
#mw-content-text #coordinates,
#mw-content-text #editcount,
#mw-content-text #shortcut,
body.ns-special #mw-content-text .specialpage-helplink {
background: #fff;
display: block;
font-size: x-small;
line-height: 1.5;
padding: .1em;
position: absolute;
right: 13px;
text-align: right;
text-indent: 0;
top: 23px;
white-space: nowrap;
z-index: 1;
}
}


/* Spezialseiten */
/* Angleichung an Vector und Monobook, vgl. mediawiki.skinning/elements.css */
.sp-cached {
#mw-content-text #coordinates img,
    background-color:#FFFFE0;
#mw-content-text #editcount img,
    background-image:url(http://upload.wikimedia.org/wikipedia/commons/thumb/8/8c/Clock%20and%20warning.png/20px-Clock%20and%20warning.png);
body.ns-special #mw-content-text .specialpage-helplink img {
    background-position:5px 3px;
vertical-align: middle;
    background-repeat:no-repeat;
    border:1px solid #EEEE80;
    color:#606000;
    font-style:italic;
    margin:0.3em 0;
    padding:4px 0 4px 30px;
}
}

Aktuelle Version vom 16. Januar 2025, 07:10 Uhr

/* +++++ Lokale Anpassungen +++++ */

/* Seitliche Hauptnavigation schmaler */
#mw_portlets {
	width: 12em;
}
#mw_content {
	margin-left: 12em;
}

/*
 * Kleinschreibung in Navigationsbereichen verhindern: [[phab:T21295]]
 * Der Selektor „#p-personal li“ ist auskommentiert, weil nicht klar ist, ob er
 * 2008 nur vergessen oder absichtlich ausgelassen wurde.
 * Der Selektor „#preftoc li“ ist derzeit (März 2016) wirkungslos, weil das CSS
 * auf [[Spezial:Einstellungen]] nicht geladen wird.
 */
/* #p-personal li, */
#p-cactions li,
#preftoc li {
	text-transform: none;
}

/* Angleichung an Vector und Monobook, vgl. mediawiki.skinning/elements.css */
pre,
.mw-code {
	background-color: #f8f9fa;
	border: 1px solid #eaecf0;
	color: black;
	line-height: normal; /* Vector: 1.3em; Monobook: 1.1em (März 2016) */
	padding: 1em;
	white-space: pre-wrap;
}

/* Einzelnachweise */
ol.references {
	font-size: 90%;
}

/* Linkfarben für den Kopfbereich: [[phab:T94860]], Einleitungshelferlein */
#mw_header a {
	color: #ccf;
}
#mw_header a:visited {
	color: #aaf;
}

/*
 * Container für <indicator>-Tags nicht oben klebend und rechtsbündig mit
 * Infoboxen etc.
 */
.mw-indicators {
	margin: 4px 13px 0 0;
}

/* Angleichung an Vector und Monobook, vgl. mediawiki.skinning/elements.css */
.mw-indicators img {
	vertical-align: middle;
}

/* +++++ Anpassungen für absolut positionierte Objekte: [[phab:T40848]] +++++ */

/*
 * Koordinaten und diverse andere Anzeigen oben rechts, siehe
 * [[:Kategorie:Vorlage:mit Seitenindikator#Textelemente]].
 * Beachte, dass diese Elemente im Wikitext an beliebigen Stellen auftreten und
 * deshalb allerhand Eigenschaften erben können. Das gilt insbesondere für die
 * Schriftgröße.
 * Es ist bekannt, dass diese Elemente bei geringer Fensterbreite Teile der
 * Bedienoberfläche verdecken.
 */
#mw-content-text #coordinates,
#mw-content-text #editcount,
#mw-content-text #shortcut,
body.ns-special #mw-content-text .specialpage-helplink {
	background: #fff;
	display: block;
	font-size: x-small;
	line-height: 1.5;
	padding: .1em;
	position: absolute;
	right: 13px;
	text-align: right;
	text-indent: 0;
	top: 23px;
	white-space: nowrap;
	z-index: 1;
}

/* Angleichung an Vector und Monobook, vgl. mediawiki.skinning/elements.css */
#mw-content-text #coordinates img,
#mw-content-text #editcount img,
body.ns-special #mw-content-text .specialpage-helplink img {
	vertical-align: middle;
}